-- ----------------------------------------------------------------
-- アプリ連携フィールド
-- ----------------------------------------------------------------
ALTER TABLE TM_CDB_COORD_FIELD ALTER COLUMN field_id TYPE DECIMAL(5);

ALTER TABLE TM_CDB_COORD_FIELD DROP CONSTRAINT FK_CDB_COORD_FIELD_01;

ALTER TABLE TM_CDB_COORD_FIELD DROP CONSTRAINT FK_CDB_COORD_FIELD_02;

ALTER TABLE TM_CDB_COORD_FIELD
        ADD CONSTRAINT FK_CDB_COORD_FIELD_01
        foreign key (sid_corporate, table_id, to_id)
        references TM_CDB_COORD (sid_corporate, table_id, to_id)
        on delete cascade
; 

ALTER TABLE TM_CDB_COORD_FIELD
        ADD CONSTRAINT FK_CDB_COORD_FIELD_02
        foreign key (sid_corporate, table_id, field_id)
        references TM_CDB_TABLE_FIELD (sid_corporate, table_id, id)
        on delete cascade
;
